/*
This file is part of Magstripper, Copyright 2006, 2007.

Magstripper is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

Magstripper is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package magstripper;
//import java.io.BufferedReader;
//import java.io.IOException;
//import java.io.InputStreamReader;
public class Cli {
	private MagstripperModel mmodel;
	//private InputStreamReader instream = new InputStreamReader( System.in );
    //private BufferedReader buffread = new BufferedReader( instream );
	//private String input;
	public Cli(MagstripperModel m){
		mmodel = m;
		printStartup();
		
	}
	
	private void printStartup() {
		System.out.println("Magstripper "+mmodel.getVersion()+" Command Line Mode");
		System.out.println("For Full GUI Mode Launch Magstripper without arguements"+"\n");
		System.out.println("Listening For Microphone Input");
		
	}
	
	public void printSwipe(Swipe s){
		System.out.println("\n  Raw Binary: "+s.getRawBinary());
		System.out.println("  Decoded ASCII: "+s.getDecodedString()+"\n");

	}
	
}
