package magstripper;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JWindow;
import javax.swing.SwingConstants;
import javax.swing.JProgressBar;

public class Loading extends JWindow{
	private static final long serialVersionUID = 1L;
	private JProgressBar bar = new JProgressBar();
	
	public Loading(){
		super();
		JLabel loadingtxt = new JLabel(" Loading Magstripper ");
		loadingtxt.setHorizontalAlignment(SwingConstants.CENTER);
		loadingtxt.setForeground(Color.white);
		loadingtxt.setFont(new Font(Font.MONOSPACED, Font.BOLD, 26));
		
		bar.setBorderPainted(false);
		bar.setForeground(Color.red);
		bar.setBackground(Color.black);
		
		this.getContentPane().setBackground(Color.black);
		this.getContentPane().add(loadingtxt, BorderLayout.CENTER);
		this.getContentPane().add(bar, BorderLayout.SOUTH);
		((JComponent) this.getContentPane()).setBorder(BorderFactory.createEtchedBorder());
		this.pack();
		this.setMinimumSize(new Dimension(200,65));
		this.setLocationRelativeTo(null);
		this.setVisible(true);
	}
	
	public void setPercent(int i){
		bar.setValue(i);
	}
	
	public void doneLoading(){
		this.setVisible(false);
	}
}